#3480 closed defect (fixed)

CONFIGURE_MINIMUM_TASK_STACK_SIZE may affect CONFIGURE_INTERRUPT_STACK_SIZE

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: config Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

In case an application defines CONFIGURE_MINIMUM_TASK_STACK_SIZE, then this may change the CONFIGURE_INTERRUPT_STACK_SIZE as well:

#ifndef CONFIGURE_INTERRUPT_STACK_SIZE
  #ifdef BSP_INTERRUPT_STACK_SIZE
    #define CONFIGURE_INTERRUPT_STACK_SIZE BSP_INTERRUPT_STACK_SIZE
  #else
    #define CONFIGURE_INTERRUPT_STACK_SIZE CONFIGURE_MINIMUM_TASK_STACK_SIZE
  #endif
#endif

I think this is not what a user expects.

Change History (4)

comment:1 Changed on Jul 30, 2018 at 5:57:30 AM by Sebastian Huber

This behaviour is more or less documented:

https://docs.rtems.org/branches/master/c-user/configuring_a_system.html#configure-interrupt-stack-size

The documentation doesn't mention that BSP_INTERRUPT_STACK_SIZE is involved too.

comment:2 Changed on Jul 30, 2018 at 5:58:03 AM by Sebastian Huber

Owner: set to Sebastian Huber
Status: newassigned

comment:3 Changed on Oct 24, 2018 at 5:03:10 AM by Sebastian Huber <sebastian.huber@…>

In 05a5366/rtems-docs:

c-user: Modify CONFIGURE_INTERRUPT_STACK_SIZE

Use CPU_STACK_MINIMUM_SIZE instead of CONFIGURE_MINIMUM_TASK_STACK_SIZE
to set the default value.

Clarify documentation.

Update #3480.

comment:4 Changed on Oct 25, 2018 at 4:43:01 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 24b5807/rtems:

config: Modify CONFIGURE_INTERRUPT_STACK_SIZE

Use CPU_STACK_MINIMUM_SIZE instead of CONFIGURE_MINIMUM_TASK_STACK_SIZE
to set the default value.

Close #3480.

Note: See TracTickets for help on using tickets.